Install and Set Up kubectl on macOS

Before you begin You must use a kubectl version that is within one minor version difference of your cluster. For example, a v1.22 client can communicate with v1.21, v1.22, and v1.23 control planes. Using the latest compatible version of kubectl helps avoid unforeseen issues. Install kubectl on macO…